# Generated by ~/.config/hypr/Scripts/theme-menu.sh

auth {
    pam:enabled = true
    pam:module = hyprlock

    fingerprint:enabled = true
    fingerprint:ready_message = Finger auflegen zum Entsperren
    fingerprint:present_message = Fingerabdruck wird gelesen...
    fingerprint:retry_delay = 250
}

general {
    disable_loading_bar = true
    hide_cursor = true
    grace = 0
    ignore_empty_input = true
}

background {
    monitor =
    path = /home/pascal/Bilder/Wallpaper/forest.jpg
    blur_passes = 3
    blur_size = 8
    noise = 0.011
    contrast = 1.05
    brightness = 0.72
    vibrancy = 0.18
    vibrancy_darkness = 0.25
}

label {
    monitor =
    text = 󰌪  Forest Neon
    color = rgba(0,204,136, 0.90)
    font_size = 22
    font_family = JetBrainsMono Nerd Font
    position = 0, 260
    halign = center
    valign = center
}

label {
    monitor =
    text = cmd[update:1000] date +"%H:%M"
    color = rgba(0,255,156, 0.96)
    font_size = 92
    font_family = JetBrainsMono Nerd Font
    position = 0, 165
    halign = center
    valign = center
}

label {
    monitor =
    text = cmd[update:60000] date +"%A, %d. %B"
    color = rgba(205,214,244, 0.82)
    font_size = 22
    font_family = JetBrainsMono Nerd Font
    position = 0, 92
    halign = center
    valign = center
}

input-field {
    monitor =
    size = 390, 62
    outline_thickness = 2
    dots_size = 0.24
    dots_spacing = 0.28
    dots_center = true
    fade_on_empty = false
    rounding = 16

    outer_color = rgba(0,255,156, 0.72)
    inner_color = rgba(20,20,30, 0.76)
    font_color = rgba(205,214,244, 0.92)
    placeholder_text = <i>Passwort oder Fingerprint</i>

    check_color = rgba(0,204,136, 0.88)
    fail_color = rgba(243,139,168, 0.95)
    capslock_color = rgba(249,226,175, 0.95)

    position = 0, -20
    halign = center
    valign = center
}

label {
    monitor =
    text = cmd[update:1000] echo "  pascal@PDEV-Yoga"
    color = rgba(204,204,204, 0.70)
    font_size = 16
    font_family = JetBrainsMono Nerd Font
    position = 0, -92
    halign = center
    valign = center
}
